## org.apache.cassandra.db
Class DeletedColumn

    java.lang.Object
      org.apache.cassandra.db.Column
          org.apache.cassandra.db.DeletedColumn

All Implemented Interfaces:
  IColumn

    public class DeletedColumn

extends Column

Field Summary

Fields inherited from class org.apache.cassandra.db.Column
`name, timestamp, value`

Fields inherited from interface org.apache.cassandra.db.IColumn
`MAX_NAME_LENGTH`

Constructor Summary
`DeletedColumn(java.nio.ByteBuffer name, java.nio.ByteBuffer value, long timestamp)`
`DeletedColumn(java.nio.ByteBuffer name, int localDeletionTime, long timestamp)`

Method Summary
`static DeletedColumn` `create(int localDeletionTime, long timestamp, java.lang.String... names)`
`int` `getLocalDeletionTime()`
`long` `getMarkedForDeleteAt()`
`boolean` `isMarkedForDelete()`
`IColumn` `localCopy(ColumnFamilyStore cfs)` clones the column for the row cache, interning column names and making copies of other underlying byte buffers
`IColumn` `localCopy(ColumnFamilyStore cfs, Allocator allocator)` clones the column for the memtable, interning column names and making copies of other underlying byte buffers.
`IColumn` `reconcile(IColumn column, Allocator allocator)`
`int` `serializationFlags()`
`void` `validateFields(CFMetaData metadata)`

Methods inherited from class org.apache.cassandra.db.Column
`addColumn, addColumn, create, create, create, create, diff, equals, getString, getSubColumn, getSubColumns, hashCode, hasIrrelevantData, isLive, maxTimestamp, mostRecentLiveChangeAt, mostRecentNonGCableChangeAt, name, reconcile, serializedSize, serializer, size, timestamp, updateDigest, validateName, value`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeletedColumn

    public DeletedColumn(java.nio.ByteBuffer name,
                         int localDeletionTime,
                         long timestamp)

### DeletedColumn

    public DeletedColumn(java.nio.ByteBuffer name,
                         java.nio.ByteBuffer value,
                         long timestamp)

Method Detail

### isMarkedForDelete

    public boolean isMarkedForDelete()

  Specified by:
    `isMarkedForDelete` in interface `IColumn`
  Overrides:
    `isMarkedForDelete` in class `Column`
  Returns:
    true if the column has been deleted (is a tombstone). This depends on comparing the server clock with getLocalDeletionTime, so it can change during a single request if you're not careful.

### getMarkedForDeleteAt

    public long getMarkedForDeleteAt()

  Specified by:
    `getMarkedForDeleteAt` in interface `IColumn`
  Overrides:
    `getMarkedForDeleteAt` in class `Column`

### getLocalDeletionTime

    public int getLocalDeletionTime()

  Specified by:
    `getLocalDeletionTime` in interface `IColumn`
  Overrides:
    `getLocalDeletionTime` in class `Column`

### reconcile

    public IColumn reconcile(IColumn column,
                             Allocator allocator)

  Specified by:
    `reconcile` in interface `IColumn`
  Overrides:
    `reconcile` in class `Column`

### localCopy

    public IColumn localCopy(ColumnFamilyStore cfs)

  Description copied from interface: `IColumn`
  clones the column for the row cache, interning column names and making copies of other underlying byte buffers

  Specified by:
    `localCopy` in interface `IColumn`
  Overrides:
    `localCopy` in class `Column`

### localCopy

    public IColumn localCopy(ColumnFamilyStore cfs,
                             Allocator allocator)

  Description copied from interface: `IColumn`
  clones the column for the memtable, interning column names and making copies of other underlying byte buffers. Unlike the other localCopy, this uses Allocator to allocate values in contiguous memory regions, which helps avoid heap fragmentation.

  Specified by:
    `localCopy` in interface `IColumn`
  Overrides:
    `localCopy` in class `Column`

### serializationFlags

    public int serializationFlags()

  Specified by:
    `serializationFlags` in interface `IColumn`
  Overrides:
    `serializationFlags` in class `Column`

### validateFields

    public void validateFields(CFMetaData metadata)
                        throws MarshalException

  Specified by:
    `validateFields` in interface `IColumn`
  Overrides:
    `validateFields` in class `Column`
  Throws:
    `MarshalException`

### create

    public static DeletedColumn create(int localDeletionTime,
                                       long timestamp,
                                       java.lang.String... names)

Copyright © 2013 The Apache Software Foundation